# Uses of Enum Class
org.apache.lucene.queryparser.flexible.core.nodes.ProximityQueryNode.Type

Packages that use ProximityQueryNode.Type
Package
Description
org.apache.lucene.queryparser.flexible.core.nodes
Query nodes commonly used by query parser implementations.

- ## Uses of ProximityQueryNode.Type in org.apache.lucene.queryparser.flexible.core.nodes

  Methods in org.apache.lucene.queryparser.flexible.core.nodes that return ProximityQueryNode.Type
  Modifier and Type
  Method
  Description
  `ProximityQueryNode.Type`
  ProximityQueryNode.`getProximityType()`
  `static ProximityQueryNode.Type`
  ProximityQueryNode.Type.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ProximityQueryNode.Type[]`
  ProximityQueryNode.Type.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Constructors in org.apache.lucene.queryparser.flexible.core.nodes with parameters of type ProximityQueryNode.Type
  Modifier
  Constructor
  Description
  ``
  `ProximityQueryNode(List<QueryNode> clauses, CharSequence field, ProximityQueryNode.Type type, boolean inorder)`
  ``
  `ProximityQueryNode(List<QueryNode> clauses, CharSequence field, ProximityQueryNode.Type type, int distance, boolean inorder)`
  ``
  `ProximityType(ProximityQueryNode.Type type)`
  ``
  `ProximityType(ProximityQueryNode.Type type, int distance)`